# 60. التغيير: إنشاء "ZonesMap" قائم على As-Applied بشكل غير متزامن

إنشاء "خريطة\_المناطق" استنادًا إلى بيانات المنفذ المنفذ (As-Applied) للحقل بشكل غير متزامن.

{% hint style="info" %}
تقوم الطريقة غير المتزامنة بوضع مهمة (Generate "generateAsAppliedVectorAnalysisMap") للمعالجة وسيتم استلام الاشتراك بمجرد انتهاء المعالجة.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GenerateAsAppliedZonesMapAsync {
  generateAsAppliedVectorAnalysisMapAsync(
    input: {
      fieldUuid: "<placeholder_of_field_uuid>"
      name: "actual"
      numberOfZones: 3
      asAppliedAttribute: "actual"
      asAppliedDatasetUuid: "<placeholder_of_as_applied_dataset_uuid>"
    }
  ) {
    uuid
    معرف_الحقل
    رمز_الحالة
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/mstndat-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/60.-altghyyr-inshaa-zonesmap-qaem-ala-as-applied-bshkl-ghyr-mtzamn.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
